QT       += core gui network widgets

DESTDIR = $$bin_dir


TARGET = SparrowBot
TEMPLATE = app
CONFIG += c++11

QMAKE_CXXFLAGS += -std=c++11
QMAKE_CXXFLAGS += -fno-strict-aliasing

DEFINES += SFML_STATIC

LIBPATH += $$lib_dir
LIBPATH += $$mmokoban_lib_dir
win32 {
    LIBPATH += $$mmokoban_lib_dir/MinGW_32
}
unix {
    LIBPATH += $$mmokoban_lib_dir/linux_64
}

LIBS += -lserverlib -lcommon -lircbot
win32 {
    LIBS += -lsfml-network-s -lws2_32 -lsfml-system-s -lwinmm
}
unix {
    LIBS += -lsfml-network-s -lsfml-system-s -ldl -lpthread -ludev
}

INCLUDEPATH += ../ircbot
INCLUDEPATH += $$include_dir
INCLUDEPATH += $$sfml_dir

SOURCES = main.cpp \
    regismodule.cpp \
    sparrowmodule.cpp \
    vocab.cpp \
    poilaumodule.cpp \
    fourasmodule.cpp \
    riddles.cpp \
    todomodule.cpp \
    jankenmodule.cpp \
    janken.cpp \
    rpgmodule.cpp \
    punishermodule.cpp \
    mmokobanmodule.cpp

HEADERS += \
    regismodule.h \
    sparrowmodule.h \
    vocab.h \
    poilaumodule.h \
    fourasmodule.h \
    riddles.h \
    todomodule.h \
    jankenmodule.h \
    janken.h \
    rpgmodule.h \
    punishermodule.h \
    mmokobanmodule.h
